<script>
  import FaqSection from "$lib/components/pages/faq/FaqSection.svelte";
  import PageHeader from "$lib/components/layout/PageHeader.svelte";
  import { discordChannels, getRegistrationUrl } from "$lib/constants/urls";
  import { page } from "$app/stores";
  import RegionalMap from "$lib/components/pages/regional-contacts/RegionalMap.svelte";
</script>

<PageHeader title="FAQ" />

<section class="m-12 lg:m-24">
  <FaqSection>
    <h1 slot="heading">Should I register for this competition?</h1>
    <p class="pb-3">
      The NCAE Cyber Games is targeted at individuals with <b>little to no competition experience</b>. If you don't feel
      confident of your ability to compete, are unsure of your skill level, have no idea what to expect at a competition
      or are not sure if competitions are for you: This is your competition, please register!
    </p>
    <p>
      The best way to determine if the NCAE Cyber Games is the competition for you is to
      <a target="_blank" href={getRegistrationUrl($page.url.origin)}>create an account</a>
      and hit our team up in Discord in the
      <a target="_blank" href={discordChannels.isThisCompetitionRightForMe}>#IsThisCompetitionRightForMe</a>? channel,
      our team is always available to help.
    </p>
  </FaqSection>
  <FaqSection>
    <h1 slot="heading">Having trouble getting started in the Sandbox?</h1>
    <p>Visit our <a target="_blank" href="https://ui.sandbox.ncaecybergames.org">How to Get Started</a> page.</p>
  </FaqSection>
  <FaqSection>
    <h1 slot="heading">Is this competition virtual?</h1>
    <p>
      All regional events are virtual and available online. An invite-only in-person event is expected to be held at the
      University of South Florida for top-performing regional teams following the regional and overflow events.
    </p>
  </FaqSection>
  <FaqSection>
    <h1 slot="heading">When does the competition start, and how long will it take?</h1>
    <div>
      <p>
        Each competition starts at a different time, which can be found on the <a href="/schedule" target="_blank">Schedule</a>.
      </p>
      <p>

        The regional events are 7.5 hours long - you can see a timeline of each competition on our <a href="/about">about
        page</a>.

      </p>
      <p>
        We recommend getting a good nights sleep and packing/planning a healthy lunch. Participants are expected to be
        available for the full event. Scoring will be paused and the competition platform locked for 1 hour at the
        mid-point of the competition to allow for lunch and a mental break.
      </p>
    </div>
  </FaqSection>
  <FaqSection>
    <h1 slot="heading">When can I compete?</h1>
    <div>
      <p>
        The full NCAE Cyber Games competition schedule can be found on our <a href="/schedule"
                                                                              target="_blank">website</a>.
        Multiple regional event dates are provided for flexibility in scheduling, but all teams from a school must
        register for <span class="font-bold">the same event</span>, so pick a date that works for everyone!
      </p>
      <p>
        An overflow event is held to accommodate schools that could not attend any of their regional event dates for any
        reason. The overflow event will have teams from multiple regions competing at the same time.
      </p>
      <p>
        The event registration page will display the events you are eligible for based on your school's location,
        so go <a href="/user-dashboard/teams/create">create a team</a> now!
      </p>
      <p>
        A lucky few teams will be invited to an in-person invitational event to compete a second time at the end of the
        season.
      </p>
    </div>
  </FaqSection>
  <FaqSection>
    <h1 slot="heading">What region is my school?</h1>
    <p class="pb-3">
      Check out the map below to find which region each state belongs to. If you're still unsure, reach out to us in
      the <a target="_blank" href={discordChannels.help}>#Help</a> channel in Discord.
    </p>
    <p>
      <RegionalMap />
    </p>
  </FaqSection>
  <FaqSection>
    <h1 slot="heading">What do I need to know for the competition? What should I do to prepare?</h1>
    <p>
      Check out the <a href="https://ui.sandbox.ncaecybergames.org" target="_blank">Sandbox</a> and
      <a href="/tutorials">Sandbox Tutorial Videos</a>! The Sandbox is the BEST way to prepare for the competition. What
      you will see and experience in the competition will be VERY similar to what you find in the Sandbox. Also, be sure
      to check out the video tutorials we've made to complement the Sandbox experience. Pro tip: get some sleep the
      night before and plan a healthy meal for lunch, you'll need it!
    </p>
  </FaqSection>
  <FaqSection>
    <h1 slot="heading">Is there a participation fee?</h1>
    <p>
      The NCAE Cyber Games is funded by NCAE-C Grant H98230-22-1-0316, making the competition available
      <span class="font-bold">for free</span> to all CAE-C Designated schools.
      A full list of qualified schools can be found on the
      <a href="https://www.caecommunity.org/cae-map" target="_blank">CAE Community Map</a>.
    </p>
    <p>
      Limited funding may be available to assist with travel for teams invited to our in-person invitational event.
    </p>
  </FaqSection>
  <FaqSection>
    <h1 slot="heading">Does my team have to use Discord?</h1>
    <p>
      Discord is the communication platform for the competition. Leading up to and during the competition, there will be
      heavy activity on Discord. While we can't stop you from using your own server/communication mechanism, we strongly
      encourage you to be active on our server as you'll miss critical information if you're not at least monitoring it.
    </p>
  </FaqSection>
  <FaqSection>
    <h1 slot="heading">Who's watching my Discord channel? Is it safe to talk about competition topics and strategy?</h1>
    <p>
      Only your team members, the black team, the CTF team and the faculty member you designate are granted access to
      your private team channel, so it is a safe place to discuss strategy with your team. You can expect NCAE Cyber
      Games staff to drop into your channel periodically to chat with you throughout the competition.
    </p>
  </FaqSection>
  <FaqSection>
    <h1 slot="heading">Can I compete by myself?</h1>
    <p>
      The team minimum is 3 members to compete.
    </p>
  </FaqSection>
  <FaqSection>
    <h1 slot="heading">How many events can I register for?</h1>
    <p>Individuals may only participate in one regional event.</p>
  </FaqSection>
  <FaqSection>
    <h1 slot="heading">How many members can I have on my team?</h1>
    <p>
      Each team may consist of 3 to 10 members. While teams with 3 members are allowed, we strongly encourage you to
      find other people who might be interested.
    </p>
  </FaqSection>
  <FaqSection>
    <h1 slot="heading">How many teams can I register in my school?</h1>
    <p>
      You're allowed to register up to 3 teams per school. You must fill a full 10-person team prior to creating an
      additional one or have them be otherwise evenly split. Reach out to the
      <a href={discordChannels.help} target="_blank" rel="noreferrer"> #Help </a>
      Channel in Discord if you're not sure how to create your team.
    </p>
  </FaqSection>
  <FaqSection>
    <h1 slot="heading">What do the name colors in Discord mean?</h1>
    <p>
      <li>Green: NCAE Cyber Games Staff</li>
      <li>Purple: Scoring Staff</li>
      <li>Orange: CTF (Capture-the-flag) Staff</li>
      <li>Black/Gray: Black Team (Infrastructure) Staff</li>
      <li>Red: Red Team (Opposition Force) Staff</li>
      <li>Yellow: Regional Staff/Organizers</li>
      <li>Blue: Blue Team (Defense) Competitors</li>
    </p>
  </FaqSection>
  <FaqSection>
    <h1 slot="heading">Do I need any special software to participate in the competition?</h1>
    <p>
      A web browser is all that is required. Please have Firefox or Chrome/Chromium browser available
      as we know how to troubleshoot that. The competition is accessed through the web interface of proxmox,
      the ability to install the SPICE viewer client on your computer will grant access to copy and
      paste to the competition infrastructure.
    </p>
    <p>
      Optionally, an SSH client can be used to access the infrastructure via the jump host provided
      on the day of the event.
    </p>
  </FaqSection>
  <FaqSection>
    <h1 slot="heading">What is the role of a faculty liaison?</h1>
    <p>
      The faculty liaison is expected to be a contact point for the NCAE CyberGames team in case of
      any emergency or escalations. The liaison may also be involved in communications for organizing
      or participant contact should it not be possible to communicate directly with the participants.
    </p>
    <p>
      Generally speaking we like to keep the participants in control of their competition experience,
      but the faculty liaison should be aware of the team members, the competition date and how to
      contact the competing team and NCAE Staff in case of an emergency. Our staff usually only has
      an email to contact the liaison, so a liaison would be setting themselves up for success by
      getting in discord and
      <a href="/discord-setup" target="_blank">linking their keycloak account to discord</a>, then
      reaching out ahead of the competition date if alternative communication paths are required for
      the day of the event.
    </p>
  </FaqSection>
  <FaqSection>
    <h1 slot="heading">Once I register for an event, can I change my registration?</h1>
    <p>
      You can register or unregister any time 4 days prior to the event you pick. You'll have until
      2 days prior to finalize your team rosters. Specific information to the hour is listed in each
      event registration card in your localized timezone.
    </p>
  </FaqSection>
  <FaqSection>
    <h1 slot="heading">Am I allowed to create prep material for the event?</h1>
    <p>
      Prep materials are perfectly allowed as long as your materials are publicly accessible, and
      disclosed to event staff. Please make a pull request against this repository, or simply notify
      staff via email or discord to get your resources added to the list:
      <a href="https://gitlab.com/c2-games/blueteam-resources" target="_blank">
        https://gitlab.com/c2-games/blueteam-resources
      </a>
    </p>
  </FaqSection>
  <FaqSection>
    <h1 slot="heading">Will participants get any certificate of participation/completion/award?</h1>
    <p>
      Yes! All team members will be awarded a badge for participation, and the team-elected Most Valuable Teammate and
      Most Improved Teammate will receive an additional badge.
    </p>
  </FaqSection>
  <FaqSection>
    <h1 slot="heading">Who is funding the NCAE Cyber Games?</h1>
    <p>
      The NCAE Cyber Games is made possible due to funding by <b>NCAE-C Grant H98230-22-1-0316</b>.
    </p>
    <p>
      There are <a href="/sponsorship" target="_blank">sponsorship opportunities</a>
      available if you like what is happening here and you would like to get involved.
    </p>
  </FaqSection>
</section>

<style>
    /* :global here tells svelte this applies to elements it's not aware of (the div's within FaqSection) */
    :global(.faq-section > div:nth-child(2) > p:nth-child(n+1)) {
        padding-top: 0.5rem;
    }

    p + p {
        padding-top: 0.5rem;
    }
</style>